Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.axes
Class WalkingIteratorSorted

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.patterns.NodeTest
                  |
                  +--weblogic.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--weblogic.apache.xpath.axes.LocPathIterator
                              |
                              +--weblogic.apache.xpath.axes.WalkingIterator
                                    |
                                    +--weblogic.apache.xpath.axes.WalkingIteratorSorted

public class WalkingIteratorSorted
extends WalkingIterator

NEEDSDOC Class WalkingIteratorSorted

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `m_inNaturalOrder` NEEDSDOC Field m_inNaturalOrder

Fields inherited from class weblogic.apache.xpath.axes.WalkingIterator
`m_firstWalker, m_lastUsedWalker`

Fields inherited from class weblogic.apache.xpath.axes.LocPathIterator
`m_cdtm, m_clones, m_context, m_currentContextNode, m_execContext, m_last, m_lastFetched, m_next, m_prefixResolver`

Fields inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`m_foundLast, m_lpi, m_predCount, m_proximityPositions`

Fields inherited from class weblogic.apache.xpath.patterns.NodeTest
`m_name, m_whatToShow, SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`WalkingIteratorSorted(Compiler compiler, int opPos, int analysis, boolean shouldLoadWalkers)` Create a WalkingIteratorSorted iteratorWalkingIteratorSortedWalkingIteratorSorted.
`WalkingIteratorSorted(PrefixResolver nscontext)` Create a WalkingIteratorSorted object.

Method Summary
`void` | `reset()` Reset the iterator.
`void` | `setRoot(int context, java.lang.Object environment)` Initialize the context values for this expression after it is cloned.

Methods inherited from class weblogic.apache.xpath.axes.WalkingIterator
`clone, detach, fixupVariables, getFirstWalker, getLastUsedWalker, nextNode, setLastUsedWalker`

Methods inherited from class weblogic.apache.xpath.axes.LocPathIterator
`allowDetachToRelease, asIterator, asNode, bool, cloneWithReset, execute, findLastPos, getAxis, getCachedNodes, getContext, getCurrentContextNode, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getFilter, getFoundLast, getIsTopLevel, getLast, getLastPos, getLength, getPrefixResolver, getRoot, getWhatToShow, getXPathContext, isDocOrdered, isFresh, isMutable, isNodesetExpr, item, previousNode, returnNextNode, runTo, setCurrentContextNode, setCurrentPos, setEnvironment, setIsTopLevel, setItem, setLast, setNextPosition, setShouldCacheNodes, size`

Methods inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`acceptNode, canTraverseOutsideSubtree, countProximityPosition, getLocPathIterator, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, getProximityPosition, initPredicateInfo, initProximityPosition, isReverseAxes, nodeToString, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class weblogic.apache.xpath.patterns.NodeTest
`calcScore, debugWhatToShow, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class weblogic.apache.xpath.Expression
`assertion, error, executeCharsToContentHandler, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_inNaturalOrder

    protected boolean m_inNaturalOrder

  NEEDSDOC Field m_inNaturalOrder

Constructor Detail

### WalkingIteratorSorted

    public WalkingIteratorSorted(PrefixResolver nscontext)

  Create a WalkingIteratorSorted object.

  Parameters:
    `nscontext` - The namespace context for this iterator, should be OK if null.

### WalkingIteratorSorted

    public WalkingIteratorSorted(Compiler compiler,
                                 int opPos,
                                 int analysis,
                                 boolean shouldLoadWalkers)
                          throws javax.xml.transform.TransformerException

  Create a WalkingIteratorSorted iteratorWalkingIteratorSortedWalkingIteratorSorted.

  Parameters:
    `compiler` - The Compiler which is creating this expression.
    `opPos` - The position of this iterator in the opcode list from the compiler. NEEDSDOC @param analysis
    `shouldLoadWalkers` - True if walkers should be loaded, or false if this is a derived iterator and it doesn't wish to load child walkers.
  Throws:
    javax.xml.transform.TransformerException -

Method Detail

### setRoot

    public void setRoot(int context,
                        java.lang.Object environment)

  Initialize the context values for this expression after it is cloned.

  Parameters:
    `execContext` - The XPath runtime context for this transformation. NEEDSDOC @param context NEEDSDOC @param environment
  Overrides:
    setRoot in class LocPathIterator

### reset

    public void reset()

  Reset the iterator.

  Overrides:
    reset in class WalkingIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference